mb_ereg_search
mb_eregi_replace
Multibyte String Functions
PHP Manual

# mb_ereg

Regular expression match with multibyte support

### Description

int mb_ereg ( string `$pattern` , string `$string` [, array `$regs` ] )

Executes the regular expression match with multibyte support.

### Parameters

`pattern`

  The search pattern.

`string`

  The search string.

`regs`

  Contains a substring of the matched string.

### Return Values

Executes the regular expression match with multibyte support, and returns 1 if matches are found. If the optional `regs` parameter was specified, the function returns the byte length of matched part, and the array `regs` will contain the substring of matched string. The function returns 1 if it matches with the empty string. If no matches are found or an error happens, `FALSE` will be returned.

### Notes

> Note:

> The internal encoding or the character encoding specified by mb_regex_encoding will be used as the character encoding for this function.

### See Also

- mb_regex_encoding
- mb_eregi